## prog.io
Class FileInputManager

    java.lang.Object
      prog.io.FileInputManager

    public class FileInputManager

extends java.lang.Object

Le sue istanze realizzano canali di lettura da file.

Version:
  2.0
Author:
  Mauro Ferrari, Giovanni Pighizzini

Constructor Summary
`FileInputManager(java.lang.String nomefile)` Crea un canale per la lettura dal file il cui nome è specificato come argomento.

Method Summary
`void` `close()` Chiude il canale di comunicazione con il file.
`static boolean` `exists(java.lang.String nomeFile)` Per controllare se il file specificato come argomento esiste oppure no.
`java.lang.String` `readLine()` Legge una linea di testo.
`void` `reset()` Riposiziona il puntatore di lettura all'inizio del file, pertanto la prossima lettura avverrà a partire dalla prima linea del file.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileInputManager

    public FileInputManager(java.lang.String nomefile)

  Crea un canale per la lettura dal file il cui nome è specificato come argomento. Se non esiste il file con il nome specificato, in fase di esecuzione si verifica un errore di tipo `FileNotFoundException`.

  Parameters:
    `nomefile` - il nome del file da aprire in lettura.

Method Detail

### readLine

    public java.lang.String readLine()

  Legge una linea di testo. Una linea è considerata conclusa dai caratteri `\n` (linefeed), `\r` (carriage return) o da un carriage return seguito da un linefeed.

  Returns:
    la stringa contenente la linea di testo letta (che non include alcun carattere di terminazione), oppure `null` se è stata raggiunta la fine del file.

### close

    public void close()

  Chiude il canale di comunicazione con il file.

### reset

    public void reset()

  Riposiziona il puntatore di lettura all'inizio del file, pertanto la prossima lettura avverrà a partire dalla prima linea del file.

### exists

    public static boolean exists(java.lang.String nomeFile)

  Per controllare se il file specificato come argomento esiste oppure no.

  Returns:
    `true` se esiste un file con il nome specificato come argomento, `false` altrimenti.